from functools import reduce

def compteur(liste,mot):
    return reduce( lambda a , x : a + x.count(mot) , liste , 0 )

print( compteur( ['Le coq Hardi est le plus beau du poulailler ' , 'Je pense que le voisin est un geek '] , 'le' ) )